/// <reference types="react" />
import { ActionAnswerQuestion, ActionQuizAPI } from '../../components/CioQuiz/actions';
import { QuizEventsReturn, QuizResultsResponse, QuizSharedResultsData } from '../../types';
type IUseQuizResetClickProps = {
    resetQuizSessionStorageState: () => void;
    dispatchLocalState: React.Dispatch<ActionAnswerQuestion>;
    dispatchApiState: React.Dispatch<ActionQuizAPI>;
    quizResults?: QuizResultsResponse | QuizSharedResultsData;
};
declare const useQuizResetClick: (props: IUseQuizResetClickProps) => QuizEventsReturn.NextQuestion;
export default useQuizResetClick;
